Bug 47397 - Kernel panic and other errors while rebooting
Kernel panic and other errors while rebooting
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Depends On:
  Show dependency treegraph
Reported: 2001-07-05 05:35 EDT by Antonio Pagliaro
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-26 16:50:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Antonio Pagliaro 2001-07-05 05:35:38 EDT
Description of Problem:

I was just doing nothing with my computer, so the screensaver was on
when I noticed the screen was frozen. Nor the keyboard neither the mouse
worked. Only choice left: reset. I did it. 
When it booted again I got a 

Kernel Panic: Attempted to kill the idle task
In idle: not syncing. 

This time I had to unplug the computer. After 5 minutes I tried again.
In many trials I got hundreds of errors. These:

-After checking /root (passed), it stopped checking /home (failed)
and trying to repair it with fsck gave no result (when the computer
tried to reboot, it freezes again)

-After checking both /root and /home (passed), it stopped at sshd 
saying: /etc/rc.d/rc line 117 951 segmentation fault  $i start

-At the end of the startup, black screen and message:
Id "x" respawning too fast disabled for 5 minutes (and waiting
produces the same message again: I had to unplug)

-Inside KDE, trying to open anything gave an error related to
inode and in a few seconds X was disabled again for 5 minutes. 

Since somebody tells me the Oops is important, I noticed that
when this appeared it was 0002. If this helps.. 

After a couple of hours I tried and I was succesfull. Now it seems
to be everything ok. 

How Reproducible:

It happened to me before a screen frozen, but after a reset 
it was ok. So I think this is not easily reproducible. 
But I confess I have no idea. 

Steps to Reproduce:
1. No idea, again 

Actual Results:

Expected Results:

Additional Information:
Comment 1 Arjan van de Ven 2001-08-26 16:50:46 EDT
Hmm this smells like either some hardware fault or a kernel bug; the later
will be very hard to track down if it doesn't happen again. Since you say
that all is well now, I will make this bug "NEEDINFO" and hope that you will
open it again if this happens again. If it does happen again, could you check
the /var/log/messages file afterwards and see if there is an oops-message in

I hope you system stays stable though ;)

Note You need to log in before you can comment on or make changes to this bug.